# Generated from mesa_cli-0.1.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mesa_cli

Name: rubygem-%{gem_name}
Version: 0.1.9
Release: 1%{?dist}
Summary: Command line tools for manipulating MESA
License: MIT
URL: http://wmwolf.github.io/mesa_cli/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.6
BuildArch: noarch

%description
MESA CLI is a command-line interface for doing several tasks with Modules for
Experiments in Stellar Astrophysics (MESA; mesa.sourceforge.net). This package
includes one executable, `mesa`. Actions are performed by entering `mesa`
followed by various subcommands. A list of available subcommands can be
displayed by entering mesa help Any individual subcommand is documented by
typing `mesa help` followed by the name of the subcommand, for instance, mesa
help new will give information about what the `new` command does. For detailed
instructions, see the readme on the github page at
https://github.com/wmwolf/mesa_cli.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/mesa
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 0.1.9-1
- Initial package
